#version 330 core

in vec3 fPosition;
in vec2 fTexCoord;
out vec4 output;

layout (std140) uniform Material {
	vec4 diffuse;
	vec4 ambient;
	vec4 specular;
	vec4 emissive;
	float shininess;
	int texCount;
} material;

struct Light {
	vec3 position;
	vec4 ambient;
	vec4 diffuse;
	vec4 specular;
	float constantAttenuation;
	float linearAttenuation;
	float quadraticAttenuation;
	vec3 direction;
	float spotCutoff;
	float spotExponent;
};

layout (std140) uniform Lights {
	Light light_array[2];
} lights;


uniform int isBillboard;
uniform sampler2D texUnit;

void main()
{
	vec4 color;
	vec4 amb;

	color = material.diffuse;
	amb = material.ambient;
	output = vec4(color.rgb, 1);

	if (isBillboard == 1) {
		if (texture2D(texUnit, fTexCoord).a == 0) {
			discard;
		}
	}
}
